
QGIS Application - Feature request #11004

User name field

2014-08-04 06:53 AM - Per Gammerath

Status: Closed

Priority: Normal

Assignee: Nathan Woodrow

Category:

Pull Request or Patch supplied:No Resolution:

Easy fix?: No Copied to github as #: 19346

Description

Will we ever see support for User Name and other handy variables in expressions?

History

#1 - 2014-08-04 07:04 AM - Nathan Woodrow

- Assignee set to Nathan Woodrow

We could add a function to get environment variables that would be pretty handy I think.

#2 - 2016-01-28 01:23 AM - Per Gammerath

When will this be possible?

#3 - 2016-01-28 02:00 AM - Salvatore Larosa

- Status changed from Open to Closed

Since 2.12 it is possible, QGIS project has several variable like @user_account_name, @user_full_name and other can be defined from the user.

See: http://qgis.org/en/site/forusers/visualchangelog212/#feature-variables-in-expressions

#4 - 2016-01-28 02:45 AM - Nyall Dawson

That should be "since 2.14".

#5 - 2016-01-28 04:00 AM - Per Gammerath

Is there a 2.14 version? I can't find it anywhere.

#6 - 2016-01-28 04:55 AM - Harrissou Santanna

Not yet but There are nightly builds (currently 2.13.x) which are pre-releases for the upcoming 2.14 (released at the end of february).
http://qgis.org/en/site/forusers/visualchangelog212/#feature-variables-in-expressions
http://qgis.org/fr/site/getinvolved/development/roadmap.html#location-of-prereleases-nightly-builds

